Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel.helpers
Class XSSFSingleXmlCell

    java.lang.Object
      org.apache.poi.xssf.usermodel.helpers.XSSFSingleXmlCell

    public class XSSFSingleXmlCell

extends java.lang.Object

This class is a wrapper around the CTSingleXmlCell (Open Office XML Part 4: chapter 3.5.2.1)

Author:
  Roberto Manicardi

Constructor Summary
`XSSFSingleXmlCell(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSingleXmlCell singleXmlCell, SingleXmlCells parent)`

Method Summary
`long` | `getMapId()`
`XSSFCell` | `getReferencedCell()` Gets the XSSFCell referenced by the R attribute or creates a new one if cell doesn't exists
`org.openxmlformats.schemas.spreadsheetml.x2006.main.STXmlDataType.Enum` | `getXmlDataType()`
`java.lang.String` | `getXpath()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFSingleXmlCell

    public XSSFSingleXmlCell(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSingleXmlCell singleXmlCell,
                             SingleXmlCells parent)

Method Detail

### getReferencedCell

    public XSSFCell getReferencedCell()

  Gets the XSSFCell referenced by the R attribute or creates a new one if cell doesn't exists

  Returns:
    the referenced XSSFCell, null if the cell reference is invalid

### getXpath

    public java.lang.String getXpath()

### getMapId

    public long getMapId()

### getXmlDataType

    public org.openxmlformats.schemas.spreadsheetml.x2006.main.STXmlDataType.Enum getXmlDataType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.